uulib-0.9.15: Haskell Utrecht Tools Library

Safe Haskell | Safe-Inferred

UU.Scanner.Position

# Documentation

type Line = Int Source

type Column = Int Source

type Filename = String Source

class Position p where Source

Methods

line :: p -> Line Source

column :: p -> Column Source

file :: p -> Filename Source

Instances

Position Pos |

data Pos Source

Constructors

Pos !Line !Column Filename |

Instances

Show Pos |
Position Pos |
InputState Input Char Pos |

initPos :: FilePath -> Pos Source

noPos :: Pos Source

advl :: Line -> Pos -> Pos Source

advc :: Column -> Pos -> Pos Source

adv :: Pos -> Char -> Pos Source

updPos :: Char -> Pos -> Pos Source

tab :: Pos -> Pos Source

newl :: Pos -> Pos Source

tabWidth :: Column -> Int Source

updPos' :: Char -> Pos -> (Pos -> a) -> aSource

advc' :: Int -> Pos -> (Pos -> a) -> aSource

tab' :: Pos -> (Pos -> a) -> aSource

newl' :: Pos -> (Pos -> a) -> aSource